# Accepting the Connection Once you have created the connection in Equinix, you must accept the connection in AWS before you can start using it. You can accept the connection in three different ways: * Log in to AWS Management Console to accept pending connections. * Log in to the Equinix Customer Portal, provide Equinix with your [AWS access key and secret access key](https://docs.aws.amazon.com/IAM/latest/UserGuide/id_credentials_access-keys.html) to accept the connection. * Provide your [AWS access key and secret access key](https://docs.aws.amazon.com/IAM/latest/UserGuide/id_credentials_access-keys.html) to the Equinix API to accept the connection. ## Accepting the Connection in AWS[​](#accepting-the-connection-in-aws "Direct link to Accepting the Connection in AWS") To accept your Direct Connect Hosted Connection: * Using the [AWS Direct Connect console](https://console.aws.amazon.com/directconnect/v2/home): 1. Click *Connections*, select your connection and click **View details**. 2. Select the confirmation checkbox, then click **Accept**. AWS also offers methods for accepting connections in their API and CLI. For more information, see the [AWS documentation](https://docs.aws.amazon.com/directconnect/latest/UserGuide/accept-hosted-connection.html). ## Accepting the Connection through Equinix[​](#accepting-the-connection-through-equinix "Direct link to Accepting the Connection through Equinix") If you want to accept the connection on AWS through Equinix, you need to provide your [AWS access key and secret access key](https://docs.aws.amazon.com/IAM/latest/UserGuide/id_credentials_access-keys.html). * Portal * API To accept the connection using the [Customer Portal](https://portal.equinix.com/fabric) > *Fabric Dashboard*: 1. From the *Connections* menu, select *Connections Inventory*. 2. Locate and click your AWS Direct Connect connection. 3. Click **Accept**. ![Connection details page with the Accept button highlighted and provider status Pending Approval](https://docs.equinix.com/assets/images/fabricAwsQcAcceptConnection-ce800f7b74a51dd75fbaa84599ab83c4.png) 4. Enter an Amazon Access Key and click **Submit**. ![Accept Connection dialog with Amazon Access Key and Secret Key fields and the Submit button highlighted](https://docs.equinix.com/assets/images/fabricAwsQcAmazonAccessKey-2993dc2dcabe40364718aa187d1e20d3.png) To accept the connection using the Equinix API, send a `PATCH` request to the [`/fabric/v4/connections/{id}`](https://docs.equinix.com/api-catalog/fabricv4/connections/updateconnectionbyuuid.md) endpoint. Pass the connection ID as a path parameter and the `accessKey` and `secretKey` in the body of your request. Sample cURL Request: ``` curl -X PATCH 'https://api.equinix.com/fabric/v4/connections/{id}' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{ "op": "add", "path": "/zSide", "value": { "additionalInfo": [ { "key": "accessKey", "value": "" }, { "key": "secretKey", "value": "" } ] }' ```